/** @type {import('next').NextConfig} */
const nextConfig = {
  reactStrictMode: true,
  webpack: (config) => {
    config.resolve.alias.canvas = false;
    
    return config;
  },
  output: 'export',
  images: {
    unoptimized: true
  },
  exportPathMap: async (defaultMap, ctx) => {
    return defaultMap
  }
  // basePath: '/github-pages',
}

module.exports = nextConfig
